| Home | Libraries | People | FAQ | More

#### http::make_chunk

Returns a `chunk_body`.

##### Synopsis

Defined in header `<boost/beast/http/chunk_encode.hpp>`

    template<
        class ConstBufferSequence,
        class... Args>
    auto
    make_chunk(
        ConstBufferSequence const& buffers,
        Args&&... args);

##### Description

This functions constructs and returns a complete `chunk_body` for a chunk body represented by the specified buffer sequence.

##### Parameters

Name | Description
--- | ---
`buffers` | The buffers representing the chunk body.
`args` | Optional arguments passed to the `chunk_body` constructor.

##### Remarks

This function is provided as a notational convenience to omit specification of the class template arguments.